using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查任务附件表
    /// </summary>
    [Description("检查任务附件表")]
    public class T_BS_RISK_SUBMIT_FILE : MesEntityBase
    {
        /// <summary>
        /// 隐患上报
        /// </summary>
        [Description("隐患上报")]
        [DataFieldForeignKey("Nav_RiskSubmit", "Nav_Files")]
        public Guid RISK_SUBMIT_ID { get; set; }

        /// <summary>
        /// 隐患上报任务表
        /// </summary>
        [Description("导航：隐患上报任务表")]
        public virtual T_BS_RISK_SUBMIT Nav_RiskSubmit { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
